# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import jsonfield.fields


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Visualization',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('name', models.TextField(verbose_name='name')),
                ('parameters', jsonfield.fields.JSONField(default=dict, verbose_name='parameters')),
            ],
            options={
                'ordering': ('name', 'id'),
                'verbose_name': 'visualization',
                'verbose_name_plural': 'visualizations',
            },
        ),
    ]
